org.jboss.jca.core.workmanager

## Class WorkClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.jboss.jca.core.workmanager.WorkClassLoader

-     public class WorkClassLoader
      extends java.lang.ClassLoader

  Work class loader
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkClassLoader(ClassBundle cb)` Constructor
    `WorkClassLoader(ClassBundle cb, ResourceAdapterClassLoader resourceAdapterClassLoader)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAssertionStatus()`
    `java.lang.Class<?>` | `findClass(java.lang.String name)`
    `java.net.URL` | `getResource(java.lang.String name)`
    `java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
    `java.util.Enumeration<java.net.URL>` | `getResources(java.lang.String name)`
    `java.lang.Class<?>` | `loadClass(java.lang.String name)`
    `java.lang.Class<?>` | `loadClass(java.lang.String name, boolean resolve)`
    `void` | `setClassAssertionStatus(java.lang.String className, boolean enabled)`
    `void` | `setDefaultAssertionStatus(boolean enabled)`
    `void` | `setPackageAssertionStatus(java.lang.String packageName, boolean enabled)`
    `void` | `setResourceAdapterClassLoader(ResourceAdapterClassLoader v)` Set the resource adapter class loader
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.ClassLoader

      `defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, registerAsParallelCapable, resolveClass, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkClassLoader

          public WorkClassLoader(ClassBundle cb)

      Constructor
      Parameters:
        `cb` - The class bundle

    - #### WorkClassLoader

          public WorkClassLoader(ClassBundle cb,
                                 ResourceAdapterClassLoader resourceAdapterClassLoader)

      Constructor
      Parameters:
        `cb` - The class bundle
        `resourceAdapterClassLoader` - The resource adapter class loader

  - ### Method Detail

    - #### setResourceAdapterClassLoader

          public void setResourceAdapterClassLoader(ResourceAdapterClassLoader v)

      Set the resource adapter class loader
      Parameters:
        `v` - The value

    - #### loadClass

          public java.lang.Class<?> loadClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### loadClass

          public java.lang.Class<?> loadClass(java.lang.String name,
                                              boolean resolve)
                                       throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### findClass

          public java.lang.Class<?> findClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

      Overrides:
        `findClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### getResource

          public java.net.URL getResource(java.lang.String name)

      Overrides:
        `getResource` in class `java.lang.ClassLoader`

    - #### getResourceAsStream

          public java.io.InputStream getResourceAsStream(java.lang.String name)

      Overrides:
        `getResourceAsStream` in class `java.lang.ClassLoader`

    - #### getResources

          public java.util.Enumeration<java.net.URL> getResources(java.lang.String name)
                                                           throws java.io.IOException

      Overrides:
        `getResources` in class `java.lang.ClassLoader`
      Throws:
        `java.io.IOException`

    - #### clearAssertionStatus

          public void clearAssertionStatus()

      Overrides:
        `clearAssertionStatus` in class `java.lang.ClassLoader`

    - #### setClassAssertionStatus

          public void setClassAssertionStatus(java.lang.String className,
                                              boolean enabled)

      Overrides:
        `setClassAssertionStatus` in class `java.lang.ClassLoader`

    - #### setDefaultAssertionStatus

          public void setDefaultAssertionStatus(boolean enabled)

      Overrides:
        `setDefaultAssertionStatus` in class `java.lang.ClassLoader`

    - #### setPackageAssertionStatus

          public void setPackageAssertionStatus(java.lang.String packageName,
                                                boolean enabled)

      Overrides:
        `setPackageAssertionStatus` in class `java.lang.ClassLoader`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)